Can't find Bio::Tools::Run::Phylo::Phylip::consense module using ppm

Posted by barryhall_zeninternet on 2013-05-07 14:31
Forums: PPM | OS: OS X 10.7 (Lion)

A script I am compiling with PerlApp 9.2.1 and ActivePerl version 5.16.3.1603 requires the module Bio::Tools::Run::Phylo::Phylip::consense. Using PPM 4.17 I cannot find any part of Bio::Tools::Run::Phylo. In addition to the basic ActiveState PAckage Repository I have added the Bioperl, the log4perl and the Bioperl-run repositories.

The module I need is on CPAN. IS there something else I need to do to download it via ppm, or do I need to download and install it manually?

Thanks for your help.

Bary Hall

grahams
ActiveState Staff
Fri, 2013-05-17 13:26

The BioPerl repos linked from http://www.bioperl.org/wiki/Getting_BioPerl#Windows are for Perl 5.6 and 5.8, so their contents will not be displayed if your Perl is 5.16.

You can install from CPAN, described here:
http://www.activestate.com/blog/2010/10/how-install-cpan-modules-activeperl

Note that modules built with dynamic linking will not give you a fully stand-alone solution when you wrap with PerlApp.

There are some tips on compilers here:
http://community.activestate.com/faq/windows-compilers-perl-modules